<?php

$TEST = true;
$STRUTTURA = false;
session_start();

ini_set('error_reporting', E_ALL | E_STRICT);
ini_set('display_errors', FALSE);
ini_set('log_errors', TRUE);
ini_set('error_log', '__TesseraSanitaria.log');
ini_set("soap.wsdl_cache_enabled", "0");

error_log(".", 0);
error_log("main ".$_SERVER['PHP_SELF'], 0);

if( $TEST )
    {
    error_log("TEST RUN ***************", 0);
 
    $InvioTelematico	= "https://invioSS730pTest.sanita.finanze.it/InvioTelematicoSS730pMtomWeb/InvioTelematicoSS730pMtomPort"; 
    $DettaglioErrori	= "https://invioSS730pTest.sanita.finanze.it/EsitoStatoInviiWEB/DettaglioErrori730Service";
    $EsitoInvio		= "https://invioSS730pTest.sanita.finanze.it/EsitoStatoInviiWEB/EsitoInvioDatiSpesa730Service";
    $ricevutePdf	= "https://invioSS730pTest.sanita.finanze.it/Ricevute730ServiceWeb/ricevutePdf";
    $DocumentoSpesa	= "https://invioSS730pTest.sanita.finanze.it/DocumentoSpesa730pWeb/DocumentoSpesa730pPort";
    }
else
    {
    error_log("INVIO EFFETTIVO *******", 0);

    $InvioTelematico	= "https://invioSS730p.sanita.finanze.it/InvioTelematicoSS730pMtomWeb/InvioTelematicoSS730pMtomPort"; 
    $DettaglioErrori	= "https://invioSS730p.sanita.finanze.it/EsitoStatoInviiWEB/DettaglioErrori730Service";
    $EsitoInvio		= "https://invioSS730p.sanita.finanze.it/EsitoStatoInviiWEB/EsitoInvioDatiSpesa730Service";
    $ricevutePdf	= "https://invioSS730p.sanita.finanze.it/Ricevute730ServiceWeb/ricevutePdf";
    $DocumentoSpesa	= "https://invioSS730p.sanita.finanze.it/DocumentoSpesa730pWeb/DocumentoSpesa730pPort";
    }

define ("_name",			"Dottore");
define ("_user",			"MTOMRA66A41G224M");
define ("_psw",			"Salve123");
define ("_networkUser",		"");
define ("_networkPsw",		"");
define ("_cfProprietario",		"MTOMRA66A41G224M");
define ("_cfProprietarioCifrato",	"SsFrZY1plknIYKxk2MxIsgCyH2X3cfnrbg7B1aywMzw4SYwfzCa797Bb40vZMlS1pRjBki3SYZT/dao7W7SCwarTTLQqFmfXu7SGBStGzfAyVWcXAZapnW3d8QWfY7EgbktdHPfcoslCqY+K4JJrHQA9H2bk2ngSA7n+xOjuLVw=");
define ("_piProprietario",		"65498732105");
define ("_pincodeInviante",		"3489543096");
define ("_pincodeInvianteCifrato",	"W+cy4Lz7rOOgldsbK98TEAwR6OIikKMkQJ1nWS09LgnJ6up+4e2LfIHe9z6aOQ9NocHOqepHuUcqmNNXpOq2JDCZQms65cX2oif8VhSUsvOk/9mc/8A9A7tpLnHcoGNrrjrg0z3fat7JmENXo5LF5uQV2IqvT4z5BDJbNa5XZpQ=");
define ("_Sede",			"");
define ("_codiceRegione",		"");
define ("_codiceAsl",			"");
define ("_codiceSSA",			"");
define ("_PercorsoDocRicevuti",	"730precompilato_2019_RisultatiInvio/");
define ("_Fatture730", "LUONGO_spesesanitarie_19_1.zip");     // nome del file da trattare ( .txt, .xml, .zip )

define ("_InvioTelematico_WSDL",	"InvioTelematicoSpeseSanitarie730p.wsdl"); 
define ("_DettaglioErrori_WSDL",	"DettaglioErrori730Service.wsdl");
define ("_EsitoInvio_WSDL",		"EsitoInvioDatiSpesa730Service.wsdl");
define ("_ricevutePdf_WSDL",		"RicevutaPdf730Service.wsdl");
define ("_DocumentoSpesa_WSDL",		"");


$name			= _name;
$login			= _user;
$password		= _psw;
$cfProprietario		= _cfProprietario;
$cfProprietarioCifrato	= _cfProprietarioCifrato;
$piProprietario		= _piProprietario;
$pincodeInviante	= _pincodeInviante;
$pincodeInvianteCifrato	= _pincodeInvianteCifrato;
$Sede			= _Sede;
$codiceRegione		= _codiceRegione;
$codiceAsl		= _codiceAsl;
$codiceSSA		= _codiceSSA;


error_log("name                   : ".$name, 0);
error_log("login                  : ".$login, 0);
error_log("password               : ".$password, 0);
error_log("cfProprietario         : ".$cfProprietario, 0);
error_log("cfProprietarioCifrato  : ".$cfProprietarioCifrato, 0);
error_log("piProprietario         : ".$piProprietario, 0);
error_log("pincodeInviante        : ".$pincodeInviante, 0);
error_log("pincodeInvianteCifrato : ".$pincodeInvianteCifrato, 0);
error_log("Sede                   : ".$Sede, 0);
error_log("codiceRegione          : ".$codiceRegione, 0);
error_log("codiceAsl              : ".$codiceAsl, 0);
error_log("codiceSSA              : ".$codiceSSA, 0);


$SoapClientParam = array
    ( 
    "location"		=> "x", 
    "login"		=> $login, 
    "password"		=> $password, 
    "authentication"	=> SOAP_AUTHENTICATION_BASIC, 
    "trace"		=> true, 
    "exceptions"	=> false
    ); 

if( $STRUTTURA )
    {
    $datiProprietario = array
    ( 
    "codiceRegione" => $codiceRegione,
    "codiceAsl" => $codiceAsl,
    "codiceSSA" => $codiceSSA,
    "cfProprietario" => $cfProprietario
    );
    }
else
    {
    $datiProprietario = array
    ( 
    "cfProprietario" => $cfProprietario
    );
    }


$protocollo = "16012118173990587";

if( !empty( $_SESSION['protocollo'] ) ) $protocollo = $_SESSION['protocollo'];

if( !empty( $_REQUEST['protocollo'] ) ) $protocollo = $_REQUEST['protocollo'];

if( !empty( $argv ) ) $protocollo = $argv[1];  
?>